<template>
<div class="footer-wrapper">
  <div class="left">
    <div>
      <app-logo/>
      <h3 class="logo-name">
        coinpaste
      </h3>
    </div>
    <div class="copyright">
      <p>&copy; {{ currentYear }} Coinpaste</p>
    </div>
  </div>

  <div class="right">
    <div class="column">
      <p class="footer-item">
        Privacy
      </p>
      <p class="footer-item">
        Terms of Service
      </p>
    </div>

    <div class="column">
      <p class="footer-item">
        <a href="https://twitter.com/mlejva"
        target="blank">
          <font-awesome-icon :icon="iconUser"/> Team
        </a>
      </p>
      <p class="footer-item">
        <a href="mailto:vasek.mlejnsky+coinpaste@google.com?Subject=Coinpaste%20Question"
        target="_top">
          <font-awesome-icon :icon="iconEnevelope"/> Contact
        </a>
      </p>
      <p class="footer-item">
        <a href="https://twitter.com/coinpaste"
        target="blank">
          <font-awesome-icon :icon="iconTwitter"/> Twitter
        </a>
      </p>
    </div>

    <!-- <p class="footer-item">
      <a href="https://twitter.com/mlejva"
      target="blank">
        <font-awesome-icon :icon="iconUser"/> Team
      </a>
    </p>
    <p class="footer-item">
      <a href="mailto:vasek.mlejnsky+coinpaste@google.com?Subject=Coinpaste%20Question"
      target="_top">
        <font-awesome-icon :icon="iconEnevelope"/> Contact
      </a>
    </p>
    <p class="footer-item">
      <a href="https://twitter.com/coinpaste"
      target="blank">
        <font-awesome-icon :icon="iconTwitter"/> Twitter
      </a>
    </p>
    <p class="footer-item">
      Privacy
    </p>
    <p class="footer-item">
      Terms of Service
    </p> -->
  </div>
</div>
</template>

<script>
import AppLogo from '@/components/AppLogo';
import AppButton from '@/components/AppButton';
import FontAwesomeIcon from '@fortawesome/vue-fontawesome';

import faTwitter from '@fortawesome/fontawesome-free-brands/faTwitter';
import faEnvelope from '@fortawesome/fontawesome-free-solid/faEnvelope';
import faUser from '@fortawesome/fontawesome-free-solid/faUser';


export default {
  name: 'LandingPageFooter',
  components: {
    AppLogo,
    AppButton,
    FontAwesomeIcon,
  },
  computed: {
    iconTwitter() {
      return faTwitter;
    },
    iconEnevelope() {
      return faEnvelope;
    },
    iconUser() {
      return faUser;
    },
    currentYear() {
      return (new Date()).getFullYear();
    },
  },
};
</script>

<style lang="scss" scoped>
@import '~styles/colors';

.footer-wrapper {
  display: flex;
  justify-content: space-between;

  padding: 2em 8em;

  background-color: white;
}

.logo-name {
  margin: 0;
  color: $logo-text;
  font-weight: bold;
  font-size: 1.5em;
}

.left, .right {
  display: flex;
  flex-direction: column;
}

.left {
  display: flex;
  flex-direction: column;

  justify-content: space-between;
}

.column {
  margin: 0 1em;
}

.copyright {
  display: flex;
  align-items: flex-end;

  margin: auto;

  p {
    margin: 0.4em 0;
    color: #7d888f;
  }
}

.right {
  display: flex;
  flex-direction: row;
  justify-content: space-between;

  text-align: left;

  .footer-item {
    margin: 0.8em 0;

    a {
      color: $link-secondary;
      text-decoration: none;
    }

    a:hover {
      opacity: 0.7;
    }
  }
}

@media screen and (max-width: 768px) {
  .footer-wrapper {
    display: block;
    padding: 2em 1em;
  }
}
</style>
